Name:          tcpdump
Version:       4.9.0
Release:       1mamba
Summary:       tcpdump - dump traffic on a network
Group:         Network/Monitoring
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.tcpdump.org
Source:        http://www.tcpdump.org/release/tcpdump-%{version}.tar.gz
Patch0:        %{name}-3.8.3-rsvp-dos.patch
Patch1:        %{name}-3.9.1-bgp_dos.patch
Patch2:        %{name}-3.9.1-isis_dos.patch
Patch3:        %{name}-3.9.1-ldp_dos.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
BuildRequires: libpcap-devel
## AUTOBUILDREQ-END
BuildRequires: libpcap-devel >= 1.2
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Tcpdump  prints  out  the  headers of packets on a network interface that match the boolean expression.

%prep
%setup -q
%patch0 -p1 -b .rsvp_dos
%patch1 -p1 -b .bgp_dos
#%patch2 -p1 -b .isis_dos
#%patch3 -p1 -b .ldp_dos

%build
%configure --disable-smb --enable-ipv6 \
%if "%{_host}" != "%{_build}"
   ac_cv_linux_vers=2 \
   ac_cv_search_getaddrinfo=no
%endif
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/tcpdump
%{_sbindir}/tcpdump.%{version}
%{_mandir}/man1/*
%doc CREDITS LICENSE

%changelog
* Thu Feb 02 2017 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Wed Oct 26 2016 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Tue Aug 02 2016 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- automatic version update by autodist

* Thu Apr 23 2015 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Sun Mar 22 2015 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic version update by autodist

* Tue Jul 22 2014 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic version update by autodist

* Wed Nov 27 2013 Automatic Build System <autodist@mambasoft.it> 4.5.1-1mamba
- automatic version update by autodist

* Mon Apr 29 2013 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Wed Jul 25 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.0-2mamba
- rebuilt with libpcap 1.3.0

* Wed Jun 13 2012 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Mon Jan 02 2012 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.1-2mamba
- rebuilt with openssl 1.0.0

* Tue Apr 06 2010 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic update to 4.1.1 by autodist

* Wed Mar 31 2010 Automatic Build System <autodist@mambasoft.it> 4.1-1mamba
- automatic update to 4.1 by autodist

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-1mamba
- automatic update to 4.0.0 by autodist

* Tue Oct 02 2007 Aleph0 <aleph0@openmamba.org> 3.9.8-1mamba
- update to 3.9.8

* Tue Jul 24 2007 Aleph0 <aleph0@openmamba.org> 3.9.7-1mamba
- update to 3.9.7
- dropped patch against CVE-2007-1218 (merged in this release)

* Tue Jun 12 2007 Aleph0 <aleph0@openmamba.org> 3.9.6-1mamba
- update to 3.9.6

* Tue Mar 20 2007 Aleph0 <aleph0@openmamba.org> 3.9.5-2qilnx
- security fix against CVE-2007-1218

* Wed Oct 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.9.5-1qilnx
- update to version 3.9.5 by autospec

* Tue Oct 04 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.9.4-1qilnx
- update to version 3.9.4 by autospec

* Wed Jul 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.9.1-1qilnx
- update to version 3.9.1 by autospec
- removed patches for CAN-2005-1267 and GCC-3.4.x
- updated security patches (DoS) for BGP ISIS, LDP

* Wed Jun 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.8.3-3qilnx
- security fix QSA-2005-076 (CAN-2005-1267)

* Mon May 16 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.8.3-2qilnx
- security fix QSA-2005-064 (CAN-2005-12[78,79,80])

* Wed Mar 31 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.8.3-1qilnx
- new version rebuild. Fixes critical flaws: CAN-2004-0183, CAN-2004-0184
- disabled possibly-buggy SMB printer support, enabled IPv6 protocol support

* Thu Jan 15 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.8.1-1qilnx
- rebuilt with latest version

* Thu Jun 19 2003 Silvan Calarco <silvan.calarco@qinet.it> 3.7.2-1qilnx
- first build for tcpdump
